<div class="d-flex justify-content-between align-items-start flex-wrap mb-2">
    <div class="d-flex justify-content-start mb-2">
        <h3 class="d-flex align-items-center mb-0">
            <a class="btn btn-light d-flex align-items-center mr-2" style="font-size: 18px" (click)="goBack()">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
            </a>
            List of {{module}}
        </h3>
    </div>
    <button class="btn btn-primary" (click)="exportToExcel(grid)"><i class="fa fa-file-excel-o"></i></button>
</div>
<kendo-grid #grid="kendoGrid" [data]="gridData" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort"
    [sortable]="true" [pageable]="true" (dataStateChange)="dataStateChange($event)" [filter]="state.filter"
    [columnMenu]="{ filter: true }" [filterable]="'menu'" [reorderable]="true" [scrollable]="true"
    style="max-height: calc(100vh - 150px); min-height: 347px">
    <kendo-grid-column width="50" [columnMenu]="false">
        <ng-template kendoGridCellTemplate let-dataItem>
            <div class="d-flex align-items-center">
                <i style="cursor: pointer;" class="glyphicon glyphicon-edit tableIcon mr-2"
                    (click)="edit(dataItem.id)"></i>
            </div>
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-column *ngFor="let field of config" [field]="field.name" [title]="field.label"
        [width]="field.width? field.width: 150" [filter]="field.type">
        <ng-template *ngIf="field.template == 'short'" kendoGridCellTemplate let-dataItem>
            <a style="text-overflow: ellipsis;" title="{{ dataItem[field.name]}}">{{ dataItem[field.name] | slice:0:30
                }}</a>
        </ng-template>
        <ng-template *ngIf="field.template == 'long'" kendoGridCellTemplate let-dataItem>
            <a style="text-overflow: ellipsis;" title="{{ dataItem[field.name]}}">{{ dataItem[field.name] | slice:0:100
                }}</a>
        </ng-template>
        <ng-template *ngIf="field.template == 'link'" kendoGridCellTemplate let-dataItem>
            <a href="{{dataItem[field.name]}}" target="_blank" title="{{ dataItem[field.name]}}">{{ dataItem[field.name]
                | slice:0:30 }}</a>
        </ng-template>
        <ng-template *ngIf="field.template && field.template == 'boolean'" kendoGridCellTemplate let-dataItem>
            <input type="checkbox" [checked]="dataItem[field.name]" disabled />
        </ng-template>
        <ng-template *ngIf="field.template && field.template == 'address'" kendoGridCellTemplate let-dataItem>
            <a>{{dataItem[field.name].city}}, {{dataItem[field.name].state}}</a>
        </ng-template>
        <ng-template *ngIf="field.template == 'email'" kendoGridCellTemplate let-dataItem>
            <a *ngIf="dataItem[field.name]" title="{{ dataItem[field.name]}}" class="d-flex align-items-center">
                <i class="glyphicon glyphicon-envelope mr-2 text-primary"></i>
                {{ dataItem[field.name]}}
            </a>
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-excel fileName="{{module}}.xlsx" filterable="true" [fetchData]="allData"></kendo-grid-excel>
    <!--<kendo-grid-pdf fileName="{{modl}}.pdf" paperSize="A4" [scale]="0.5" [repeatHeaders]="true" [landscape]="true">
        <kendo-grid-pdf-margin top="2cm" left="1cm" right="1cm" bottom="2cm"></kendo-grid-pdf-margin>
        <ng-template kendoGridPDFTemplate let-pageNum="pageNum" let-totalPages="totalPages">
            <div class="page-template">
                <div class="header">
                    <div style="float: right">{{ pageNum }} / {{ totalPages }}</div>
                </div>
                <div class="footer">
                    {{ pageNum }} / {{ totalPages }}
                </div>
            </div>
        </ng-template>
    </kendo-grid-pdf>-->
</kendo-grid>
